import requests
from concurrent.futures import ThreadPoolExecutor

def verify_bank_batch2(name, mobile, bank_card_no, id_cards):
    API_URL = "https://llsgrx.huwatech.club/wxa/home/wallet/bankcard/startFourFactors"
    HEADERS = {
        "content-type": "application/x-www-form-urlencoded; charset=UTF-8",
        "sgAppId": "7c2e4b9d-8d62-48f9-8760-06ce1273af9c",
        "SG_USER_TOKEN": "SG_USER_WXA_1d975bbd-db9f-42bf-9ad3-e95c0b4fcca4",
        "User-Agent": "Mozilla/5.0"
    }

    def send_request(id_card):
        data = {
            "name": name,
            "idCard": id_card,
            "mobile": mobile,
            "bankCardNo": bank_card_no,
        }

        try:
            response = requests.post(API_URL, headers=HEADERS, data=data, timeout=10, verify=False)
            response.raise_for_status()
            response_data = response.json()

            if response_data.get("code") == 200:
                print(f"{id_card} 验证成功 🟢")
            else:
                print(f"{id_card} 验证失败 🔴 - {response_data.get('msg', '未知错误')}")
        except Exception as e:
            print(f"{id_card} 请求失败 🔴 - {str(e)}")

    with ThreadPoolExecutor(max_workers=5) as executor:
        executor.map(send_request, id_cards)

# 主菜单
def main():
    while True:
        print("\n请选择功能:")
        print("1. 银行卡四要素核验 (功能 2)")

        choice = input("请输入功能序号: ").strip()

        if choice == "1":
            name = input("姓名: ")
            mobile = input("手机号: ")
            bank_card_no = input("银行卡号: ")
            id_cards_input = input("请输入批量身份证号,每行一个:\n")
            id_cards = [line.strip() for line in id_cards_input.split('\n') if line.strip()]
            verify_bank_batch2(name, mobile, bank_card_no, id_cards)
        else:
            print("无效的功能序号,请重新选择。")
            continue

        next_action = input("\n是否继续? 输入 'y' 继续, 输入 'n' 退出: ").strip().lower()
        if next_action == "n":
            print("退出程序。")
            break

if __name__ == "__main__":
    main()